SDL_DropEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_WindowID | windowID
float | x
float | y
const char * | source
const char * | data

## Detailed Description

An event used to drop text or request a file open by the system (event.drop.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 902 of file SDL_events.h.

## Field Documentation

## data

const char* SDL_DropEvent::data

The text for SDL_EVENT_DROP_TEXT and the file name for SDL_EVENT_DROP_FILE, NULL for other events

Definition at line 911 of file SDL_events.h.

## reserved

Uint32 SDL_DropEvent::reserved

Definition at line 905 of file SDL_events.h.

## source

const char* SDL_DropEvent::source

The source app that sent this drop event, or NULL if that isn't available

Definition at line 910 of file SDL_events.h.

## timestamp

Uint64 SDL_DropEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 906 of file SDL_events.h.

## type

SDL_EventType SDL_DropEvent::type

SDL_EVENT_DROP_BEGIN or SDL_EVENT_DROP_FILE or SDL_EVENT_DROP_TEXT or SDL_EVENT_DROP_COMPLETE or SDL_EVENT_DROP_POSITION

Definition at line 904 of file SDL_events.h.

## windowID

SDL_WindowID SDL_DropEvent::windowID

The window that was dropped on, if any

Definition at line 907 of file SDL_events.h.

## x

float SDL_DropEvent::x

X coordinate, relative to window (not on begin)

Definition at line 908 of file SDL_events.h.

## y

float SDL_DropEvent::y

Y coordinate, relative to window (not on begin)

Definition at line 909 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h